#include<stdio.h>
#include<stdlib.h>

int main()
{
	int i,j,N;
	scanf("%d",&N);
	int a[N];
	for(i=0;i<N;i++)
	scanf("%d",&a[i]);
	int k=0;
	for(i=0;i<N-1 && k==0;i++)
	for(j=i+1;j<N && k==0;j++)
	    if(a[i]<a[j])
	    {
	    	int p=a[i];
	    	a[i]=a[j];
	    	a[j]=p;
	    	k=1;
		}
	for(i=0;i<N;i++)
	printf("%d ",a[i]);	
}